> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Findings

> Page retained project findings with filters for run, status, severity, and category.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/maintenance/findings
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/maintenance/findings:
    get:
      tags:
        - projectMaintenance
      summary: List Findings
      description: >-
        Page retained project findings with filters for run, status, severity,
        and category.
      operationId: projectMaintenance.listFindings
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            maxLength: 512
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: runId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - open
              - dismissed
              - resolved
        - name: severity
          in: query
          required: false
          schema:
            type: string
            enum:
              - info
              - warning
              - critical
        - name: category
          in: query
          required: false
          schema:
            type: string
            enum:
              - reliability
      responses:
        '200':
          description: Maintenance findings.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                          format: uuid
                        runId:
                          type: string
                          format: uuid
                        category:
                          type: string
                          enum:
                            - reliability
                        severity:
                          type: string
                          enum:
                            - info
                            - warning
                            - critical
                        status:
                          type: string
                          enum:
                            - open
                            - dismissed
                            - resolved
                        title:
                          type: string
                        summary:
                          type: string
                        recommendation:
                          type: string
                        resourceType:
                          type: string
                        resourceId:
                          type:
                            - string
                            - 'null'
                        firstObservedAt:
                          type: string
                          format: date-time
                        lastObservedAt:
                          type: string
                          format: date-time
                        resolvedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - runId
                        - category
                        - severity
                        - status
                        - title
                        - summary
                        - recommendation
                        - resourceType
                        - resourceId
                        - firstObservedAt
                        - lastObservedAt
                        - resolvedAt
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````